#include "utils.h"

void delayMS(uint32_t ms)
{
	volatile uint32_t i;
	for(i = 0; i < 1843*ms; i++);
}

void delayS(uint32_t s)
{
	uint32_t i = 0;
	for(i = 0; i < s*1000; i++)
		delayMS(1);
}

void puart_printf(const char *format, ...)
{
	char buffer[200];
	va_list argList;

	va_start(argList, format);
	vsprintf(buffer, format, argList);
	va_end(argList);
	puart_print(buffer);
}

void gpio_togglePin(BYTE port, BYTE pin)
{
	gpio_setPinOutput(port, pin, !gpio_getPinOutput(port, pin));
}
